Click or drag to resize

GeometryEncoder Methods

The GeometryEncoder type exposes the following members.

Methods
  NameDescription
Public methodStatic memberCode exampleToArc(Arc)
Converts the specified Rhino.Geometry.Arc to an equivalent of Autodesk.Revit.DB.Arc.
Public methodStatic memberCode exampleToArc(Circle)
Converts the specified Rhino.Geometry.Circle to an equivalent of Autodesk.Revit.DB.Arc.
Public methodStatic memberCode exampleToBoundingBoxXYZ(BoundingBox)
Converts the specified Rhino.Geometry.BoundingBox to an equivalent Autodesk.Revit.DB.BoundingBoxXYZ.
Public methodStatic memberCode exampleToBoundingBoxXYZ(Box)
Converts the specified Rhino.Geometry.Box to an equivalent Autodesk.Revit.DB.BoundingBoxXYZ.
Public methodStatic memberCode exampleToCurve(ArcCurve)
Converts the specified Rhino.Geometry.ArcCurve to an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurve(Curve)
Converts the specified Rhino.Geometry.Curve to an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurve(Ellipse)
Converts the specified Rhino.Geometry.Ellipse to an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurve(LineCurve)
Converts the specified Rhino.Geometry.LineCurve to an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurve(NurbsCurve)
Converts the specified Rhino.Geometry.NurbsCurve to an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurve(PolyCurve)
Converts the specified Rhino.Geometry.PolyCurve to an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurve(PolylineCurve)
Converts the specified Rhino.Geometry.PolylineCurve to an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurve(Ellipse, Interval)
Converts the specified Rhino.Geometry.Ellipse within the given Rhino.Geometry.Intervalto an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurveArray
Converts the specified Rhino.Geometry.Curve to an equivalent of Autodesk.Revit.DB.CurveArray.
Public methodStatic memberCode exampleToCurveLoop
Converts the specified Rhino.Geometry.Curve to an equivalent of Autodesk.Revit.DB.CurveLoop containing consecutive segments of the input curve.
Public methodStatic memberCode exampleToGeometryObject
Converts the specified Rhino.Geometry.GeometryBase to an equivalent of Autodesk.Revit.DB.GeometryObject.
Public methodStatic memberToInternalLength
Converts the specified length to an equivalent Revit internal length.
Public methodStatic memberCode exampleToLine
Converts the specified Rhino.Geometry.Line to an equivalent Autodesk.Revit.DB.Line.
Public methodStatic memberCode exampleToMesh(Brep)
Converts the specified Rhino.Geometry.Brep to an equivalent of Autodesk.Revit.DB.Mesh.
Public methodStatic memberCode exampleToMesh(Extrusion)
Converts the specified Rhino.Geometry.Extrusion to an equivalent of Autodesk.Revit.DB.Mesh.
Public methodStatic memberCode exampleToMesh(Mesh)
Converts the specified Rhino.Geometry.Mesh to an equivalent of Autodesk.Revit.DB.Mesh.
Public methodStatic memberCode exampleToMesh(SubD)
Converts the specified Rhino.Geometry.SubD to an equivalent of Autodesk.Revit.DB.Mesh.
Public methodStatic memberCode exampleToOutline
Converts the specified Rhino.Geometry.BoundingBox to an equivalent Autodesk.Revit.DB.Outline.
Public methodStatic memberCode exampleToPlane
Converts the specified Rhino.Geometry.Plane to an equivalent Autodesk.Revit.DB.Plane.
Public methodStatic memberCode exampleToPoint(Point)
Converts the specified Rhino.Geometry.Point to an equivalent of Autodesk.Revit.DB.Point.
Public methodStatic memberToPoint(PointCloudItem)
Converts the specified PointCloudItem to an equivalent Revit Point.
Public methodStatic memberCode exampleToPolyLine
Converts the specified Rhino.Geometry.Polyline to an equivalent of Autodesk.Revit.DB.PolyLine.
Public methodStatic memberCode exampleToSolid(Brep)
Converts the specified Rhino.Geometry.Brep to an equivalent of Autodesk.Revit.DB.Solid.
Public methodStatic memberCode exampleToSolid(Extrusion)
Converts the specified Rhino.Geometry.Extrusion to an equivalent of Autodesk.Revit.DB.Solid.
Public methodStatic memberCode exampleToSolid(Mesh)
Converts the specified Rhino.Geometry.Mesh to an equivalent of Autodesk.Revit.DB.Solid.
Public methodStatic memberCode exampleToSolid(SubD)
Converts the specified Rhino.Geometry.SubD to an equivalent of Autodesk.Revit.DB.Solid.
Public methodStatic memberCode exampleToTransform
Converts the specified Rhino.Geometry.Transform to an equivalent Autodesk.Revit.DB.Transform.
Public methodStatic memberCode exampleToUV(Point2d)
Converts the specified Rhino.Geometry.Point2d to an equivalent Autodesk.Revit.DB.UV.
Public methodStatic memberCode exampleToUV(Point2f)
Converts the specified Rhino.Geometry.Point2f to an equivalent Autodesk.Revit.DB.UV.
Public methodStatic memberCode exampleToUV(Vector2d)
Converts the specified Rhino.Geometry.Vector2d to an equivalent Autodesk.Revit.DB.UV.
Public methodStatic memberCode exampleToUV(Vector2f)
Converts the specified Rhino.Geometry.Vector2f to an equivalent Autodesk.Revit.DB.UV.
Public methodStatic memberCode exampleToXYZ(Point3d)
Converts the specified Rhino.Geometry.Point3d to an equivalent Autodesk.Revit.DB.XYZ.
Public methodStatic memberCode exampleToXYZ(Point3f)
Converts the specified Rhino.Geometry.Point3f to an equivalent Autodesk.Revit.DB.XYZ.
Public methodStatic memberCode exampleToXYZ(Vector3d)
Converts the specified Rhino.Geometry.Vector3d to an equivalent Autodesk.Revit.DB.XYZ.
Public methodStatic memberCode exampleToXYZ(Vector3f)
Converts the specified Rhino.Geometry.Vector3f to an equivalent Autodesk.Revit.DB.XYZ.
Top
See Also